Description

It would be nice to be able to add global css resources with the Web Client Utils plugin.
Since it registers all the references to itself, it only works for main pages.

This is needed for https://support.servoy.com/browse/SVY-8487, please find attached the patch which contains the new methods.

History

#1 - 09/10/2015 05:12 PM - Edit Mera
- File addGlobalCssResource.patch added

#2 - 09/10/2015 05:42 PM - Patrick Talbot

- Status changed from New to Feedback

My problem with your patch is that it's based on the usage of methods of an interface that has been introduced with Servoy 7.3, mainly
com.servoy.j2db.server.headlessclient.|ProvideGlobalResources, which means that this wouldn't work with Servoy versions before that.

Since the plugin up until today was supporting Servoy down to 5.2 and because there are people still using 5.2 or 6 or 6.1 or 7 < 7.3 I'm reluctant to

accept the patch as-is, short of maintaining 2 versions.

So using Reflection will be needed to keep backward compatibility.

#3 - 09/11/2015 11:24 AM - Edit Mera

- File globalResources_reflection.patch added

Hi,
| created a new patch in which reflection is used.

#4 - 09/11/2015 07:12 PM - Patrick Talbot

- Status changed from Feedback to Resolved

Thanks for the patch Edit! I've imported and released a v1.4.1 with your changes.

Files

addGlobalCssResource.patch 3.05 KB 09/10/2015 Edit Mera

globalResources_reflection.patch 3.62 KB 09/11/2015 Edit Mera
